| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Attributes | List of all members
EventCollectionContext Class Reference
Inheritance diagram for EventCollectionContext:
[legend]
Collaboration diagram for EventCollectionContext:
[legend]

## Public Types
typedef std::list< std::string > | ListName

## Public Member Functions
| EventCollectionContext (const EventCollectionSelector *pSelector)
| Standard constructor. More...
| ~EventCollectionContext () override
| Standard destructor. More...
const std::string & | currentInput () const
void | setCurrentInput (const std::string &v)
ListName & | files ()
void * | identifier () const override
void | setCriteria (const std::string &crit)
ListName::const_iterator | fileIterator ()
void | setFileIterator (ListName::const_iterator new_iter)
Public Member Functions inherited from IEvtSelector::Context
virtual | ~Context ()=default

## Private Attributes
GenericAddress * | m_pAddressBuffer = nullptr
const EventCollectionSelector * | m_pSelector = nullptr
ListName | m_files
std::string | m_criteria
ListName::const_iterator | m_fileIterator
std::string | m_currentInput

## Detailed Description

Author
  M.Frank

Version
  1.0

Definition at line 25 of file EventCollectionSelector.cpp.

## Member Typedef Documentation

typedef std::list<std::string> EventCollectionContext::ListName

Definition at line 28 of file EventCollectionSelector.cpp.

## Constructor & Destructor Documentation

EventCollectionContext::EventCollectionContext | ( | const EventCollectionSelector * | pSelector | ) |

Standard constructor.

Definition at line 54 of file EventCollectionSelector.cpp.

54 : m_pSelector( pSelector )
55 {
56 m_pAddressBuffer = new GenericAddress();
57 m_pAddressBuffer->addRef();
58 }
GenericAddress::addRef
unsigned long addRef() override
Add reference to object.
Definition: GenericAddress.h:63
GenericAddress
Generic Transient Address.
Definition: GenericAddress.h:20
EventCollectionContext::m_pAddressBuffer
GenericAddress * m_pAddressBuffer
Definition: EventCollectionSelector.cpp:31
EventCollectionContext::m_pSelector
const EventCollectionSelector * m_pSelector
Definition: EventCollectionSelector.cpp:32

EventCollectionContext::~EventCollectionContext | ( |  | ) |
| override

Standard destructor.

Definition at line 52 of file EventCollectionSelector.cpp.

52 { m_pAddressBuffer->release(); }
GenericAddress::release
unsigned long release() override
release reference to object
Definition: GenericAddress.h:65
EventCollectionContext::m_pAddressBuffer
GenericAddress * m_pAddressBuffer
Definition: EventCollectionSelector.cpp:31

## Member Function Documentation

const std::string& EventCollectionContext::currentInput | ( |  | ) | const
| inline

Definition at line 43 of file EventCollectionSelector.cpp.

43 { return m_currentInput; }
EventCollectionContext::m_currentInput
std::string m_currentInput
Definition: EventCollectionSelector.cpp:36

ListName::const_iterator EventCollectionContext::fileIterator | ( |  | ) |
| inline

Definition at line 48 of file EventCollectionSelector.cpp.

48 { return m_fileIterator; }
EventCollectionContext::m_fileIterator
ListName::const_iterator m_fileIterator
Definition: EventCollectionSelector.cpp:35

ListName& EventCollectionContext::files | ( |  | ) |
| inline

Definition at line 45 of file EventCollectionSelector.cpp.

45 { return m_files; }
EventCollectionContext::m_files
ListName m_files
Definition: EventCollectionSelector.cpp:33

void* EventCollectionContext::identifier | ( |  | ) | const
| inline override virtual

Implements IEvtSelector::Context.

Definition at line 46 of file EventCollectionSelector.cpp.

46 { return (void*)m_pSelector; }
EventCollectionContext::m_pSelector
const EventCollectionSelector * m_pSelector
Definition: EventCollectionSelector.cpp:32

void EventCollectionContext::setCriteria | ( | const std::string & | crit | ) |
| inline

Definition at line 47 of file EventCollectionSelector.cpp.

47 { m_criteria = crit; }
EventCollectionContext::m_criteria
std::string m_criteria
Definition: EventCollectionSelector.cpp:34

void EventCollectionContext::setCurrentInput | ( | const std::string & | v | ) |
| inline

Definition at line 44 of file EventCollectionSelector.cpp.

44 { m_currentInput = v; }
EventCollectionContext::m_currentInput
std::string m_currentInput
Definition: EventCollectionSelector.cpp:36

void EventCollectionContext::setFileIterator | ( | ListName::const_iterator | new_iter | ) |
| inline

Definition at line 49 of file EventCollectionSelector.cpp.

49 { m_fileIterator = new_iter; }
EventCollectionContext::m_fileIterator
ListName::const_iterator m_fileIterator
Definition: EventCollectionSelector.cpp:35

## Member Data Documentation

std::string EventCollectionContext::m_criteria
| private

Definition at line 34 of file EventCollectionSelector.cpp.

std::string EventCollectionContext::m_currentInput
| private

Definition at line 36 of file EventCollectionSelector.cpp.

ListName::const_iterator EventCollectionContext::m_fileIterator
| private

Definition at line 35 of file EventCollectionSelector.cpp.

ListName EventCollectionContext::m_files
| private

Definition at line 33 of file EventCollectionSelector.cpp.

GenericAddress* EventCollectionContext::m_pAddressBuffer = nullptr
| private

Definition at line 31 of file EventCollectionSelector.cpp.

const EventCollectionSelector* EventCollectionContext::m_pSelector = nullptr
| private

Definition at line 32 of file EventCollectionSelector.cpp.

The documentation for this class was generated from the following file:

- GaudiCoreSvc/src/EventSelector/EventCollectionSelector.cpp